VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ListBridge"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Implements Bridger
'Most pomiędzy listą i jej prezentacją
Private visL As visList

Private Sub Bridger_addData(col As Collection)
Dim i As Integer, p As Product
'Dodaj do listy dane z kolekcji produktów
For i = 1 To col.Count
  Set p = col(i)
  visL.addLine p
Next i
End Sub

'Zainicjuj listą prezentacji
Private Sub Bridger_init(vis As visList)
Set visL = vis
End Sub
